/*
 * Created on 20.05.2005
 *
 */
package org.eclipse.contribution.junit;

import java.util.LinkedList;

import org.eclipse.jdt.core.IJavaProject;

/**
 * @author Andreas
 *
 */
public class ExtendedTestResult {
	
	private String result;
	private String method;
	private String klass;
	public LinkedList testedMethods;
	
	public ExtendedTestResult(IJavaProject project, String method, String klass){
		this.method = method;
		this.klass = klass;
		this.testedMethods = new LinkedList();
	}
	
	/**
	 * @return Returns the result.
	 */
	public String getResult() {
		return result;
	}
	/**
	 * @param trace The result to set.
	 */
	public void setResult(String result) {
		this.result = result;
	}
	public String getMethod() {
		return method;
	}
	public String getKlass() {
		return klass;
	}
}


